umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | List of all members
Ui_UMLRolePropertiesBase Class Reference

`#include <ui_umlrolepropertiesbase.h>`

Inheritance diagram for Ui_UMLRolePropertiesBase:

## Public Member Functions
void | setupUi (QWidget *UMLRolePropertiesBase)
void | retranslateUi (QWidget *UMLRolePropertiesBase)

## Public Attributes
QVBoxLayout * | vboxLayout
QGroupBox * | ui_propsGroupBox
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QLabel * | ui_labelRoleName
KLineEdit * | ui_pRoleLE
QLabel * | ui_labelMultiplicity
KLineEdit * | ui_pMultiLE
QGroupBox * | ui_visibilityButtonGroup
QHBoxLayout * | hboxLayout
QRadioButton * | ui_pPublicRB
QRadioButton * | ui_pPrivateRB
QRadioButton * | ui_pProtectedRB
QRadioButton * | ui_pImplementationRB
QGroupBox * | ui_changeabilityButtonGroup
QHBoxLayout * | hboxLayout1
QRadioButton * | ui_pChangeableRB
QRadioButton * | ui_pFrozenRB
QRadioButton * | ui_pAddOnlyRB
QGroupBox * | ui_groupBoxDocumentation
QVBoxLayout * | vboxLayout1
KTextEdit * | ui_pDocTE

## Member Function Documentation

## ◆ retranslateUi()

void Ui_UMLRolePropertiesBase::retranslateUi | ( | QWidget * | UMLRolePropertiesBase | ) |
| inline

## ◆ setupUi()

void Ui_UMLRolePropertiesBase::setupUi | ( | QWidget * | UMLRolePropertiesBase | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_UMLRolePropertiesBase::gridLayout

## ◆ gridLayout1

QGridLayout* Ui_UMLRolePropertiesBase::gridLayout1

## ◆ hboxLayout

QHBoxLayout* Ui_UMLRolePropertiesBase::hboxLayout

## ◆ hboxLayout1

QHBoxLayout* Ui_UMLRolePropertiesBase::hboxLayout1

## ◆ ui_changeabilityButtonGroup

QGroupBox* Ui_UMLRolePropertiesBase::ui_changeabilityButtonGroup

## ◆ ui_groupBoxDocumentation

QGroupBox* Ui_UMLRolePropertiesBase::ui_groupBoxDocumentation

## ◆ ui_labelMultiplicity

QLabel* Ui_UMLRolePropertiesBase::ui_labelMultiplicity

## ◆ ui_labelRoleName

QLabel* Ui_UMLRolePropertiesBase::ui_labelRoleName

## ◆ ui_pAddOnlyRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pAddOnlyRB

## ◆ ui_pChangeableRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pChangeableRB

## ◆ ui_pDocTE

KTextEdit* Ui_UMLRolePropertiesBase::ui_pDocTE

## ◆ ui_pFrozenRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pFrozenRB

## ◆ ui_pImplementationRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pImplementationRB

## ◆ ui_pMultiLE

KLineEdit* Ui_UMLRolePropertiesBase::ui_pMultiLE

## ◆ ui_pPrivateRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pPrivateRB

## ◆ ui_pProtectedRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pProtectedRB

## ◆ ui_pPublicRB

QRadioButton* Ui_UMLRolePropertiesBase::ui_pPublicRB

## ◆ ui_pRoleLE

KLineEdit* Ui_UMLRolePropertiesBase::ui_pRoleLE

## ◆ ui_propsGroupBox

QGroupBox* Ui_UMLRolePropertiesBase::ui_propsGroupBox

## ◆ ui_visibilityButtonGroup

QGroupBox* Ui_UMLRolePropertiesBase::ui_visibilityButtonGroup

## ◆ vboxLayout

QVBoxLayout* Ui_UMLRolePropertiesBase::vboxLayout

## ◆ vboxLayout1

QVBoxLayout* Ui_UMLRolePropertiesBase::vboxLayout1

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_umlrolepropertiesbase.h